function [spec,sf]=specgram(sig, Fs)
    sig     = resample(sig,5*Fs, length(sig));
    sum_sig = sum(sig.^2);
    scl_sig = sig/sqrt(sum_sig);
    spec    = fft(scl_sig);
    spec    = abs(spec(1:int64(length(spec)/2)));
    sf      = int64(length(spec)/(Fs/2));
end